function iamroot --description "True if the user has admin privileges, else false"

	# In Cygwin, the user has admin rights if they're a member of group 544
	# (Administrators). For discussion see the thread beginning at 
	# https://cygwin.com/ml/cygwin/2016-03/msg00255.html .
	id -G | grep -qE '\<544\>'
end
